aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/synth/issue2113/testsuite.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/synth/issue2113/testsuite.sh')
-rwxr-xr-xtestsuite/synth/issue2113/testsuite.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/testsuite/synth/issue2113/testsuite.sh b/testsuite/synth/issue2113/testsuite.sh
new file mode 100755
index 000000000..b2f61e07e
--- /dev/null
+++ b/testsuite/synth/issue2113/testsuite.sh
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+. ../../testenv.sh
+
+GHDL_STD_FLAGS=--std=08
+synth --out=verilog -Wno-nowrite a.vhdl -e > syn_a.v
+
+if grep channel syn_a.v; then
+ exit 1
+fi
+
+echo "Test successful"